View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021969Lazarus-public2012-05-06 23:592013-08-12 12:13
Reporterjshand2010 
Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 (SVN)Product Buildlatest build 
Target VersionFixed in Version 
Summary0021969: Scrollbars in Object Inspector are flashing
DescriptionI open my project and click on a button or any other control and the vertical and horizontal bars flash in the object inspector and freezes the whole of lazarus
Steps To Reproducejust open a project and click on a control
TagsNo tags attached.
Fixed in Revisionr41056
LazTarget-
WidgetsetGTK 2
Attached Fileszip file icon bm2014.zip [^] (146,488 bytes) 2012-05-07 00:01

- Relationships
related to 0024389resolvedJuha Manninen GTK2 scroll bars jump to the bottom position when scrolling the mouse wheel up when at the top 
has duplicate 0022647closedJuha Manninen Object Inspector -> Components: Nervous Scrollbars in GTK2 IDE 

-  Notes
(0059322)
jshand2010 (reporter)
2012-05-07 00:02

i have uploaded my entire source code to see if that could be the cause. but this problem only just started last night
(0059323)
Vojtech Cihak (reporter)
2012-05-07 01:15

I see no problems (Qt nor GTK2 r.37206).
What is your SVN revision ?
It is on Ubuntu with Unity ?
(0059325)
jshand2010 (reporter)
2012-05-07 01:53

my revision of lazarus is 37206 as well.

i use opensuse 12.1 64 bit. i don't use unity
(0059332)
Zeljan Rikalo (developer)
2012-05-07 07:52

I got such "flashing" error few weeks ago (gtk2) under ubuntu 12.04, but after few seconds it stops to flash and it never happened again.
(0059333)
Ihor Lavrynyuk (reporter)
2012-05-07 08:14

I test in windows 7 (rev 37206), all ok.
(0059334)
jshand2010 (reporter)
2012-05-07 08:16

i will download the latest builds of fpc and lazarus and try again. however, if it happens again, i'll be right here
(0059335)
jshand2010 (reporter)
2012-05-07 08:25

just tried to download the latest updates, but none available. so issue still stands.
(0059336)
Ihor Lavrynyuk (reporter)
2012-05-07 08:41

What is your version of GTK2?
System --> About Gnome
or
Search for libgtk2.0. You should see version 2.x.x.
or
//dpkg -l | grep libgtk
or
gtk-config --version
(0059339)
jshand2010 (reporter)
2012-05-07 09:25

2.24.7-2.5.1
(0059340)
jshand2010 (reporter)
2012-05-07 09:38

that version hasn't changed for a while, and the issue just began last night for an unknown reason
(0059341)
Ihor Lavrynyuk (reporter)
2012-05-07 09:47

test on Ubuntu 12.04 32 bit all ok. Maybe need try update your GTK2 ? or maybe it`s only on 64 bit...
ihor@ihor-M50Vc:~/pascal/lazarus$ dpkg -l | grep libgtk
ii libgtk-3-0 3.4.1-0ubuntu1 GTK+ graphical user interface library
ii libgtk-3-bin 3.4.1-0ubuntu1 programs for the GTK+ graphical user interface library
ii libgtk-3-common 3.4.1-0ubuntu1 common files for the GTK+ graphical user interface library
ii libgtk2-perl 2:1.223-1build3 Perl interface to the 2.x series of the Gimp Toolkit library
ii libgtk2.0-0 2.24.10-0ubuntu6 GTK+ graphical user interface library
ii libgtk2.0-bin 2.24.10-0ubuntu6 programs for the GTK+ graphical user interface library
ii libgtk2.0-common 2.24.10-0ubuntu6 common files for the GTK+ graphical user interface library
ii libgtk2.0-dev 2.24.10-0ubuntu6 development files for the GTK+ library
ii libgtkmm-3.0-1 3.4.0-0ubuntu1 C++ wrappers for GTK+ (shared libraries)
ii libgtksourceview-3.0-0 3.4.1-0ubuntu1 shared libraries for the GTK+ syntax highlighting widget
ii libgtksourceview-3.0-common 3.4.1-0ubuntu1 common files for the GTK+ syntax highlighting widget
ii libgtkspell-3-0 3.0.0~hg20110814-1 spell-checking addon for GTK's TextView widget
(0059343)
jshand2010 (reporter)
2012-05-07 10:01

the version 2.24.7-2.5.1 actually fixed several issues. is there a work around for this problem??
(0059383)
jshand2010 (reporter)
2012-05-08 09:43

retried everything and it still does the same thing.

i look for a form from the docked list in the menu bar and it brings up the chosen form, but as soon as i click on a text box or any other control on the form, it still flashes the horizontal and vertical bars of Object Inspector and after that happens, the whole of lazarus has frozen. the only way out is the close button and wait for the termination program to come up and end lazarus

please do something with this.....
(0059386)
Anton Kavalenka (reporter)
2012-05-08 12:18

maybe 0019266 aka famous Ubuntu scrollbars?
(0059400)
Mattias Gaertner (manager)
2012-05-08 15:00

Unity is only ubuntu and derivaties. opensuse does not use unity.
Someone has to install opensuse and debug the problem there or jshand2010 can provide a backtrace of where the IDE freezes.
(0059418)
jshand2010 (reporter)
2012-05-09 00:49

i am unsure on how to do a backtrace. please let me know how to do that and i will do so
(0059419)
Mattias Gaertner (manager)
2012-05-09 00:56

http://wiki.freepascal.org/Creating_a_Backtrace_with_GDB [^]
(0059422)
jshand2010 (reporter)
2012-05-09 10:28

i have read the information. is there a way to compile a debug packages for lazarus and startlazarus for the use of symbols. is there a way to use the create_lazarus_rpm.sh to make a debug package.

please advise further
(0059423)
jshand2010 (reporter)
2012-05-09 10:33

i really want to become a lazarus tester so i can send bug reports for you
(0059424)
Bart Broersma (developer)
2012-05-09 11:49

When you rebuild Lazarus (from within the IDE) you can select a profile called Debug.
I suppose this will include the relevant debug info into the IDE that GDB needs.
(0059425)
Mattias Gaertner (manager)
2012-05-09 12:00

Using create_lazarus_rpm.sh is definitely a complicated way to debug Lazarus.
Better just compile laz normal.
(0059428)
jshand2010 (reporter)
2012-05-09 13:23

could someone make a shell script to compile a sourcedebug rpm, deb etc... this might be helpful when using gdb for debugging
(0059429)
jshand2010 (reporter)
2012-05-09 13:36

i successfully got gdb to debug my programme, however i am unable to debug lazarus in any way.

all settings to do with gdb are correct. not sure what else i should do
(0059430)
Mattias Gaertner (manager)
2012-05-09 13:52

what happens when you do

 gdb ./lazarus

?
(0059433)
jshand2010 (reporter)
2012-05-09 14:21

it comes up with an error saying no such file or directory.
(0059452)
jshand2010 (reporter)
2012-05-10 02:04

i have got the debugger working, however i have a lot of debugging packages not installed and not sure what to install.

anyway it debugs to a point that it finds nothing really wrong and i get to the point of the application that has the bu that it does the same thing as i described and not debugging information was pulled out from the application to verify a problem.

my suspicion is that the bug is caught in a repeat or a for loop statement, because when i click on a control it lists all the controls on the form but the vertical and horizontal scroll bars flash when any one of those controls are selected by clicking on a control
(0067618)
Juha Manninen (developer)
2013-05-09 15:34

The related issue was solved with a patch.
Does it solve this one, too?
(0069347)
Juha Manninen (developer)
2013-08-12 12:12

I assume this is solved.
jshand2010, why did you not answer a clear question?

- Issue History
Date Modified Username Field Change
2012-05-06 23:59 jshand2010 New Issue
2012-05-06 23:59 jshand2010 Widgetset => GTK 2
2012-05-07 00:01 jshand2010 File Added: bm2014.zip
2012-05-07 00:02 jshand2010 Note Added: 0059322
2012-05-07 01:15 Vojtech Cihak Note Added: 0059323
2012-05-07 01:53 jshand2010 Note Added: 0059325
2012-05-07 07:52 Zeljan Rikalo Note Added: 0059332
2012-05-07 08:14 Ihor Lavrynyuk Note Added: 0059333
2012-05-07 08:16 jshand2010 Note Added: 0059334
2012-05-07 08:25 jshand2010 Note Added: 0059335
2012-05-07 08:41 Ihor Lavrynyuk Note Added: 0059336
2012-05-07 09:25 jshand2010 Note Added: 0059339
2012-05-07 09:38 jshand2010 Note Added: 0059340
2012-05-07 09:47 Ihor Lavrynyuk Note Added: 0059341
2012-05-07 10:01 jshand2010 Note Added: 0059343
2012-05-07 22:37 jshand2010 Note Added: 0059372
2012-05-08 09:43 jshand2010 Note Added: 0059383
2012-05-08 09:44 jshand2010 Note Deleted: 0059372
2012-05-08 12:18 Anton Kavalenka Note Added: 0059386
2012-05-08 12:23 Ihor Lavrynyuk Note Added: 0059388
2012-05-08 12:24 Ihor Lavrynyuk Note Deleted: 0059388
2012-05-08 15:00 Mattias Gaertner Note Added: 0059400
2012-05-09 00:49 jshand2010 Note Added: 0059418
2012-05-09 00:56 Mattias Gaertner Note Added: 0059419
2012-05-09 10:28 jshand2010 Note Added: 0059422
2012-05-09 10:33 jshand2010 Note Added: 0059423
2012-05-09 11:49 Bart Broersma Note Added: 0059424
2012-05-09 12:00 Mattias Gaertner Note Added: 0059425
2012-05-09 13:23 jshand2010 Note Added: 0059428
2012-05-09 13:36 jshand2010 Note Added: 0059429
2012-05-09 13:52 Mattias Gaertner Note Added: 0059430
2012-05-09 14:21 jshand2010 Note Added: 0059433
2012-05-10 02:04 jshand2010 Note Added: 0059452
2013-05-09 15:34 Juha Manninen Relationship added related to 0024389
2013-05-09 15:34 Juha Manninen LazTarget => -
2013-05-09 15:34 Juha Manninen Note Added: 0067618
2013-05-09 15:34 Juha Manninen Assigned To => Juha Manninen
2013-05-09 15:34 Juha Manninen Status new => feedback
2013-05-09 15:39 Juha Manninen Summary IDE Object Inspector Error => Scrollbars in Object Inspector are flashing
2013-05-09 15:41 Juha Manninen Relationship added has duplicate 0022647
2013-08-12 12:12 Juha Manninen Note Added: 0069347
2013-08-12 12:12 Juha Manninen Status feedback => resolved
2013-08-12 12:12 Juha Manninen Resolution open => fixed
2013-08-12 12:13 Juha Manninen Fixed in Revision => r41056



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker